/*
MySQL Data Transfer
Source Host: localhost
Source Database: l2jmack
Target Host: localhost
Target Database: l2jmack
Date: 27/6/2010 15:29:57
*/

SET FOREIGN_KEY_CHECKS=0;
-- ----------------------------
-- Table structure for custom_npc
-- ----------------------------
CREATE TABLE `custom_npc` (
  `id` decimal(11,0) NOT NULL default '0',
  `idTemplate` int(11) NOT NULL default '0',
  `name` varchar(200) default NULL,
  `serverSideName` int(1) default '0',
  `title` varchar(45) default '',
  `serverSideTitle` int(1) default '0',
  `class` varchar(200) default NULL,
  `collision_radius` decimal(5,2) default NULL,
  `collision_height` decimal(5,2) default NULL,
  `level` decimal(2,0) default NULL,
  `sex` varchar(6) default NULL,
  `type` varchar(20) default NULL,
  `attackrange` int(11) default NULL,
  `hp` decimal(8,0) default NULL,
  `mp` decimal(5,0) default NULL,
  `hpreg` decimal(8,2) default NULL,
  `mpreg` decimal(5,2) default NULL,
  `str` decimal(7,0) default NULL,
  `con` decimal(7,0) default NULL,
  `dex` decimal(7,0) default NULL,
  `int` decimal(7,0) default NULL,
  `wit` decimal(7,0) default NULL,
  `men` decimal(7,0) default NULL,
  `exp` decimal(9,0) default NULL,
  `sp` decimal(8,0) default NULL,
  `patk` decimal(5,0) default NULL,
  `pdef` decimal(5,0) default NULL,
  `matk` decimal(5,0) default NULL,
  `mdef` decimal(5,0) default NULL,
  `atkspd` decimal(3,0) default NULL,
  `aggro` decimal(6,0) default NULL,
  `matkspd` decimal(4,0) default NULL,
  `rhand` decimal(4,0) default NULL,
  `lhand` decimal(4,0) default NULL,
  `armor` decimal(1,0) default NULL,
  `walkspd` decimal(3,0) default NULL,
  `runspd` decimal(3,0) default NULL,
  `faction_id` varchar(40) default NULL,
  `faction_range` decimal(4,0) default NULL,
  `isUndead` int(11) default '0',
  `absorb_level` decimal(2,0) default '0',
  `absorb_type` enum('FULL_PARTY','LAST_HIT','PARTY_ONE_RANDOM') NOT NULL default 'LAST_HIT',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Records 
-- ----------------------------
INSERT INTO `custom_npc` VALUES ('50007', '31324', 'Andromeda', '1', 'Wedding Manager', '1', 'NPC.a_casino_FDarkElf', '8.00', '23.00', '70', 'female', 'L2WeddingManager', '40', '3862', '1493', '11.85', '2.78', '40', '43', '30', '21', '20', '10', '0', '0', '1314', '470', '780', '382', '278', '0', '333', '316', '0', '0', '55', '132', null, '0', '1', '0', 'LAST_HIT');
INSERT INTO `custom_npc` VALUES ('70010', '31606', 'Event Manager', '1', 'TvT Event Manager', '1', 'Monster2.queen_of_cat', '8.00', '15.00', '70', 'female', 'L2TvTEventNpc', '40', '3862', '1493', '11.85', '2.78', '40', '43', '30', '21', '20', '10', '0', '0', '1314', '470', '780', '382', '278', '0', '333', '0', '0', '0', '28', '132', null, '0', '0', '0', 'LAST_HIT');
INSERT INTO `custom_npc` VALUES ('53', '30050', 'Master Shop', '1', 'Shop Items', '1', 'NPC.a_traderB_MHuman', '8.00', '21.50', '70', 'male', 'L2Merchant', '40', '3862', '1493', '11.85', '2.78', '40', '43', '30', '21', '20', '10', '0', '0', '1314', '470', '780', '382', '278', '0', '333', '0', '0', '0', '28', '132', null, '0', '0', '0', 'LAST_HIT');
INSERT INTO `custom_npc` VALUES ('54', '30767', 'Marion', '1', 'Faction Manager', '1', 'Monster2.queen_of_cat', '8.00', '22.00', '70', 'female', 'L2Faction', '40', '3892', '1567', '23.00', '1.00', '40', '40', '40', '40', '40', '40', '0', '0', '2314', '2341', '324', '234', '234', '0', '333', '0', '0', '0', '65', '123', null, '0', '0', '0', 'LAST_HIT');
INSERT INTO `custom_npc` VALUES ('7077', '30576', 'Luxury', '1', 'Gatekeeper', '1', 'NPC.e_teleporter_FOrc', '8.00', '32.00', '70', 'female', 'L2Teleporter', '40', '3862', '1493', '11.85', '2.78', '40', '43', '30', '21', '20', '10', '0', '0', '1314', '470', '780', '382', '278', '0', '333', '0', '0', '0', '55', '132', '', '0', '1', '0', 'LAST_HIT');
INSERT INTO `custom_npc` VALUES	('52', '30767', 'Agent Guy', '1', 'Hitman Manager', '1', 'Monster2.queen_of_cat', '8.00', '22.00', '70', 'etc', 'L2Hitman', '40', '3892', '1567', '23.00', '1.00', '40', '40', '40', '40', '40', '40', '0', '0', '2314', '2341', '324', '234', '234', '0', '333', '0', '0', '0', '65', '123', null, '0', '0', '0', 'LAST_HIT'),
INSERT INTO `custom_npc` VALUES ('25846', '30314', 'Raut', '1', 'Donate Info', '1', 'NPC.a_traderB_MHuman', '8.00', '25.00', '99', 'male', 'L2NpcWalker', '40', '999', '40', '40.00', '40.00', '999', '999', '999', '999', '999', '999', '40', '40', '40', '999', '40', '999', '40', '0', '40', '0', '0', '0', '80', '120', null, null, '0', '0', 'LAST_HIT'),
INSERT INTO `custom_npc` VALUES ('90001', '29022', 'House', '1', 'Scheme NPC Buffer', '1', 'Monster.zaken', '16.00', '32.00', '60', 'male', 'L2Buffer', '40', '858518', '1975', '800.00', '3.00', '60', '57', '73', '76', '35', '80', '600000', '400000', '7200', '3000', '19000', '1200', '333', '0', '2362', '0', '0', '0', '80', '12', null, null, '0', '0', 'LAST_HIT');
INSERT INTO `custom_npc` VALUES ('66004', '30049', 'Merilayne', '1', 'Helper Buffs', '1', 'NPC.a_common_peopleB_FHuman', '8.00', '20.50', '80', 'female', 'L2Npc', '80', '99999', '99999', null, null, '40', '40', '40', '40', '40', '9999', '4000', '400', '400', '4000', '400', '400', '999', '0', '9999', '0', '0', '0', '80', '120', '', null, '0', '0', 'LAST_HIT');
INSERT INTO `custom_npc` VALUES ('55', '30049', 'Hello Player', '1', 'WelCome to Server', '1', 'NPC.a_common_peopleA_MHuman', '8.00', '21.50', '80', 'male', 'L2Npc', '80', '99999', '99999', null, null, '40', '40', '40', '40', '40', '9999', '4000', '400', '400', '4000', '400', '400', '999', '0', '9999', '0', '0', '0', '55', '120', '', null, '0', '0', 'LAST_HIT');
INSERT INTO `custom_npc` VALUES ('20103', '30048', 'Ranking', '1', 'Top Players', '1', 'NPC.a_common_peopleB_MHuman', '8.00', '22.00', '99', 'female', 'L2Npc', '99999', '99999', '99999', '99999.00', '100.00', '99999', '99999', '99999', '99999', '99999', '99999', '99999', '99999', '99999', '99999', '99999', '99999', '900', '0', '900', '0', '0', '0', '250', '250', null, '0', '0', '0', 'LAST_HIT');
INSERT INTO `custom_npc` VALUES ('20104', '31745', 'Lady MiMi', '1', 'Transform Baron', '1', 'NPC.a_teleporter_FElf', '8.50', '23.50', '70', 'female', 'L2Npc', '40', '2222', '2222', '2222.00', '1.00', '40', '40', '40', '40', '40', '40', '4000', '40', '400', '2222', '40', '2222', '400', '0', '2222', '0', '0', '0', '80', '120', null, null, '0', '0', 'LAST_HIT');
